Bug 198674 - XFree86 wont start with mga or vesa driver
XFree86 wont start with mga or vesa driver
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-12 13:42 EDT by Sarah Prelutsky
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sarah Prelutsky 2006-07-12 13:42:29 EDT
Description of problem: During installation the graphical install fails to
start. After installation startx or using init 5 fails to start.

Version-Release number of selected component (if applicable):

How reproducible: All chassis with matrox g200 chipset

Steps to Reproduce: Install 3u7 or 3u8beta

Actual results: when you try to start xfree with the mga driver I get no screens

With vesa enabled i get

(EE) VESA(0): Set VBE Mode failed!

Fatal server error:
AddScreen/ScreenInit failed for driver 0

Expected results: xfree to start

Additional info: The only way i can get xfree to work is by using the vga driver
and setting the depth to 4 and i get a "usable" resolution.
Comment 1 Adam Jackson 2006-10-30 12:59:47 EST
Please attach the /var/log/XFree86.0.log from an affected installation.
Comment 2 RHEL Product and Program Management 2007-10-19 14:42:30 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.